API referenceMedia

Get a file

GET
/v2/media/{id}

Once uploaded, a signed download link valid for 5 minutes.

Authorization

ApiKey
headerAuthorizationBearer <token>

An API key from Developers → API keys: Authorization: Bearer gauge_live_… (or pulse_k_live_…).

Path Parameters

id*string

The media id.

Formatuuid

Header Parameters

Gauge-Version?string

A dated version. Default 2026-10-21.

Response Body

The media and its download link.

application/json
  1. response
id*string
Formatuuid
contentType*string
sizeBytes*integer
filename*string|null
status*string
Value in"pending""uploaded"
createdAt*string
expiresAt*string
upload*|null
download*|null
Example Request
curl -X GET 'https://app.gauge.chat/api/v2/media/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "contentType": "string",  "sizeBytes": 0,  "filename": "string",  "status": "pending",  "createdAt": "string",  "expiresAt": "string",  "upload": {    "url": "http://example.com",    "method": "PUT",    "headers": {      "property1": "string",      "property2": "string"    },    "expiresAt": "string"  },  "download": {    "url": "http://example.com",    "expiresAt": "string"  }}